Docs

Add File Link

POST /Drives/{driveId}/files/{fileId}/links

POST/Drives/{driveId}/files/{fileId}/links

Creates a shareable link to a file with a name and a list of permissions (stored and returned to viewers, not enforced); the link can be opened without signing in via Drives_GetDriveLink. Needs admin access to the file's location. To share a whole folder, use Drives_AddFolderLink.

Path Parameters

FieldTypeRequiredDescription
driveIduuidRequired
fileIduuidRequired

Request Body

FieldTypeRequiredDescription
namestringOptional
permissionsstring[]Optional